# std::deque::pop_front

From cppreference.com
< cpp‎ | container‎ | deque

void pop_front(); |  |

Removes the first element of the container.

Iterators and references to the erased element are invalidated. It is unspecified whether the past-the-end iterator is invalidated if the element is the last element in the container. Other references and iterators are not affected. | (since C++11)
Iterators and references to the erased element are invalidated. If the element is the last element in the container, the past-the-end iterator is also invalidated. Other references and iterators are not affected. | (until C++11)

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

Does not throw.

### See also

pop_back | removes the last element (public member function)
push_front | inserts an element to the beginning (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/deque/pop_front&oldid=50467"